
module("memcache", package.seeall);

function new()
	local cache = {};
	
	local _data = {};
	local _flags = {};
	
	function cache:set(key, flags, expires, data)
		if expires ~= 0 then
			return false, "Expiry is not currently implemented";
		end
		_flags[key] = flags;
		_data[key] = data;
		return true;
	end
	
	function cache:get(key)
		return _flags[key], _data[key];
	end
	
	return cache;
end

return _M;
